Provides a unified endpoint for Google Cloud user authentication, exchanging credentials for OAuth 2.0 access tokens.
- REST Resource: v1.common
- REST Resource: v1.common.well-known
- REST Resource: v1.organizations
- REST Resource: v1.organizations.well-known
Service: cloudoauth.googleapis.com
Service endpoint
A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:
https://cloudoauth.googleapis.com
REST Resource: v1.common
| Methods | |
|---|---|
groups |
GET /v1/common/groups Retrieves a list of groups for the authenticated user from the distributed claims endpoint. |
revoke |
POST /v1/common/revoke Revokes a given token by following OAuth 2.0 Token Revocation. |
token |
POST /v1/common/token Exchanges a credential for a Google-generated OAuth 2.0 access token or refreshes an access token following the OAuth 2.0 Authorization Framework. |
userinfo |
GET /v1/common/userinfo Retrieves claims about the authenticated user from the OIDC /userinfo endpoint. |
REST Resource: v1.common.well-known
| Methods | |
|---|---|
getJwks.json |
GET /v1/common/.well-known/jwks.json Returns the JSON Web Key Set (JWKS) containing public keys for token validation. |
REST Resource: v1.organizations
| Methods | |
|---|---|
revoke |
POST /v1/{parent=organizations/*}/revoke Revokes a given token by following OAuth 2.0 Token Revocation. |
token |
POST /v1/{parent=organizations/*}/token Exchanges a credential for a Google-generated OAuth 2.0 access token or refreshes an access token following the OAuth 2.0 Authorization Framework. |
userinfo |
GET /v1/{parent=organizations/*}/userinfo Retrieves claims about the authenticated user from the OIDC /userinfo endpoint. |
REST Resource: v1.organizations.well-known
| Methods | |
|---|---|
getJwks.json |
GET /v1/{parent=organizations/*}/.well-known/jwks.json Returns the JSON Web Key Set (JWKS) containing public keys for token validation. |